<?php
session_start();
include "../conexion.php";
require_once('../include/sesiones.php'); 
if(!empty($_POST))
{
    $ajud_id=$_POST['id'];
    $ajud_cantidad=$_POST['ajud_cantidad'];
    $ajudt_art_id=$_POST['ajud_art_id'];
    if(isset($_POST['serial']) && !empty($_POST['serial'])) 
    {
        $serial = $_POST['serial'];
        $valores_no_vacios=0;
        foreach($serial as $valor) 
        {
            if(!empty($valor)) 
            {
                $valores_no_vacios++;
            }
        }
        $valores_no_vacios;
        $number = $valores_no_vacios; 
    }
    else
    {
        $valores_no_vacios=0;
        $number = $valores_no_vacios;
    }
    $number;
    if ($number>$ajud_cantidad)
    {
       echo '<script>alert("¡No puedes agregar más seriales de la cantidad correspondiente!");</script>';

    } else if ($number<$ajud_cantidad) {
       echo '<script>alert("¡No puedes Agregar menos seriales de la cantidad correspondiente!");</script>';
    }
    else
    {
        if($number > 0)  
        {  
            for($i=0; $i<$number; $i++)  
            {  
               if(trim($_POST["serial"][$i] != '') )

                $dato1=$_POST["serial"][$i];  
                {
                    $sql="INSERT INTO seriales_ajus_temp (ajudt_art_id,ser_aju,usuario,ajuste_detalle_id) VALUES('$ajudt_art_id','".$dato1."','$usu_id','$ajud_id')";  
                    mysqli_query($con, $sql);  
                } 
            }
            echo '<div class="alert alert-success alert-dismissable">
                 <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>Serial!</strong> Registrado correctamente.
                 </div>'; 
            ?>
            <script type="text/javascript">
            $('#reg_ser_tabla_aju').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            loadTabla();
            </script> 
            <?php      
        } 
        else
            {
               echo '<div class="alert alert-info alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <strong>Debes selecionar '.$ajud_cantidad.' serial(es)!</strong>
                    </div>'; 
            }        
    }
}
?>	